Skip to main content
POST
/
v3.0
/
{ClientId}
/
payins
/
intents
/
{IntentId}
/
refunds
/
{RefundId}
/
reverse
{   
    "ExternalData": {
        "ExternalProcessingDate": 1769800102,
        "ExternalProviderReference": "reverse-stripe-{{$guid}}",
        "ExternalMerchantReference": "order-{{$guid}}",
        "ExternalProviderName": "Stripe",
        "ExternalProviderPaymentMethod": "MASTERCARD"
    }
}
{
    "Id": "int_019c105a-cd37-73bf-9245-e4e7a76310d5",
    "Amount": 20000,
    "AvailableAmountToSplit": 20000,
    "UnfundedAmount": 0,
    "Currency": "EUR",
    "PlatformFeesAmount": 0,
    "Status": "REFUND_REVERSED",
    "NextActions": "REFUND, DISPUTE",
    "ExternalData": {
        "ExternalProcessingDate": 1769800920,
        "ExternalProviderReference": "refund-stripe-e9e318a2-2f5e-4dec-90a6-010854f16861",
        "ExternalMerchantReference": "order-1f895705-f0e1-4c68-9822-4cf1c62678f6",
        "ExternalProviderName": "Stripe",
        "ExternalProviderPaymentMethod": "MASTERCARD"
    },
    "Buyer": {
        "Id": "user_m_01KF3087EDXEAK8VPD9DTMZW8N"
    },
    "LineItems": [
        {
            "Id": "int_li_019c105a-cd39-7422-a8ce-cf79862a68f2",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 10000,
            "RefundedAmount": 0,
            "DisputedAmount": 0,
            "SplitAmount": 0,
            "CancelledAmount": 0,
            "UnfundedSellerAmount": 0
        },
        {
            "Id": "int_li_019c105a-cd39-7422-a8ce-cf79862a68f3",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 10000,
            "RefundedAmount": 0,
            "DisputedAmount": 0,
            "SplitAmount": 0,
            "CancelledAmount": 0,
            "UnfundedSellerAmount": 0
        }
    ],
    "CreationDate": 1769800912,
    "ExecutionDate": 1769800924,
    "Refund": {
        "Id": "int_refund_019c105a-ee2a-7422-9058-96da3cf06b94"
    }
}
This endpoint allows you to reverse an Intent Refund in full or in part if the refund processed by the third-party PSP was not successful and the funds were returned to the platform. This endpoint effectively changes the Intent Refund Status to REFUND_REVERSED and re-calculates the RefundedAmount of the LineItem. You can only reverse the same amount that was refunded.

Path parameters

IntentId
string
required
The unique identifier of the Intent.

Body parameters

If the Intent Refund was for the full amount of the Intent, then you only need to send the ExternalData.
ExternalData
object
required
Information about the refund processed by the third-party PSP.

Responses

Id
string
The unique identifier of the intent.
Amount
integer
The full amount authorized in the Intent, which must equal the sum of the total amounts of all LineItems.
AvailableAmountToSplit
integer
The remaining amount of the Intent that can be split and transferred to the sellers’ wallets.
UnfundedAmount
integer
The amount needing to be settled to the Platform’s escrow wallet before the Intent Splits can be executed.
Currency
integer
The currency of the intent.
PlatformFees
integer
The amount of fees to be diverted to the platform’s Fees Wallet when the Intent is split. This value can be overridden when the Split is created.The PlatformFees value must the sum of all line item Seller.FeesAmount values.
Status
string
The status of the Intent, as declared by the platform through Intent Captures, Refunds (and reversals), or Disputes (and decisions). Where partial actions occur, the top-level Intent Status may differ from the Status of Intent LineItems.Intent Status values:
  • AUTHORIZED – The Intent Amount was authorized for acquisition by the PSP and can be captured or canceled.
  • PARTIALLY_CAPTURED – Part of the Intent Amount from one or more LineItems was captured. The other parts are either still available for capture or cancel.
  • CAPTURED – All of the Intent Amount was captured. Part of it may have been subsequently refunded or disputed.
  • CANCELLED – All of the Intent Amount was canceled.
  • REFUNDED – All of the CapturedAmount of all LineItems was refunded.
  • REFUND_REVERSED – The refund could not be completed and the funds were returned to the platform.
  • DISPUTED – All of the CapturedAmount of all LineItems was disputed.
  • DEFENDED – The dispute is being defended by the platform.
  • DISPUTED_WON – The dispute was resolved in favor of the platform.
  • DISPUTED_LOST – The dispute was resolved against the platform.
NextActions
string
The possible next actions on the intent.
ExternalData
object
Information about the refund processed by the third-party PSP.
Buyer
object
Information about the buyer.
LineItems
array (object)
Information about the line items included in the intent action.
CreationDate
string
The date and time at which the Intent was created.
ExecutionDate
Unix timestamp
The date and time at which the Intent moved to AUTHORIZED.
Refund
object
Information about the Refund.
{
    "Id": "int_019c105a-cd37-73bf-9245-e4e7a76310d5",
    "Amount": 20000,
    "AvailableAmountToSplit": 20000,
    "UnfundedAmount": 0,
    "Currency": "EUR",
    "PlatformFeesAmount": 0,
    "Status": "REFUND_REVERSED",
    "NextActions": "REFUND, DISPUTE",
    "ExternalData": {
        "ExternalProcessingDate": 1769800920,
        "ExternalProviderReference": "refund-stripe-e9e318a2-2f5e-4dec-90a6-010854f16861",
        "ExternalMerchantReference": "order-1f895705-f0e1-4c68-9822-4cf1c62678f6",
        "ExternalProviderName": "Stripe",
        "ExternalProviderPaymentMethod": "MASTERCARD"
    },
    "Buyer": {
        "Id": "user_m_01KF3087EDXEAK8VPD9DTMZW8N"
    },
    "LineItems": [
        {
            "Id": "int_li_019c105a-cd39-7422-a8ce-cf79862a68f2",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 10000,
            "RefundedAmount": 0,
            "DisputedAmount": 0,
            "SplitAmount": 0,
            "CancelledAmount": 0,
            "UnfundedSellerAmount": 0
        },
        {
            "Id": "int_li_019c105a-cd39-7422-a8ce-cf79862a68f3",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 10000,
            "RefundedAmount": 0,
            "DisputedAmount": 0,
            "SplitAmount": 0,
            "CancelledAmount": 0,
            "UnfundedSellerAmount": 0
        }
    ],
    "CreationDate": 1769800912,
    "ExecutionDate": 1769800924,
    "Refund": {
        "Id": "int_refund_019c105a-ee2a-7422-9058-96da3cf06b94"
    }
}
{   
    "ExternalData": {
        "ExternalProcessingDate": 1769800102,
        "ExternalProviderReference": "reverse-stripe-{{$guid}}",
        "ExternalMerchantReference": "order-{{$guid}}",
        "ExternalProviderName": "Stripe",
        "ExternalProviderPaymentMethod": "MASTERCARD"
    }
}